Submit Nano Banana task
curl --request POST \
--url https://api.wizzx.ai/api/v1/task/submit/nano-banana \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "A warm editorial portrait",
"output_format": "png"
}
'import requests
url = "https://api.wizzx.ai/api/v1/task/submit/nano-banana"
payload = {
"prompt": "A warm editorial portrait",
"output_format": "png"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: 'A warm editorial portrait', output_format: 'png'})
};
fetch('https://api.wizzx.ai/api/v1/task/submit/nano-banana', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"message": "success",
"data": {
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_key": "<string>",
"credits_deducted": 1,
"provider_task_id": "<string>",
"provider_key": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}图像生成
Submit Nano Banana task
POST Nano Banana (Google) 文生图/图生图任务
POST
/
api
/
v1
/
task
/
submit
/
nano-banana
Submit Nano Banana task
提交任务
- Header:
Authorization: Bearer <your_api_key>。 - 必填
prompt(最多 5000 字符);可选image_urls(最多 10 张)、aspect_ratio、output_format。 - 异步返回
task_id与扣费credits_deducted,使用/api/v1/task/status轮询结果。 - 智能模式选择,根据输入自动选择最优生成模式。
curl -X POST https://api.wizzx.ai/api/v1/task/submit/nano-banana \
-H "Authorization: Bearer <api_key>" \
-H "Content-Type: application/json" \
-d '{
"prompt": "一幅超现实主义画作,一根巨大的香蕉漂浮在太空中",
"aspect_ratio": "16:9",
"output_format": "png"
}'
图生图示例
curl -X POST https://api.wizzx.ai/api/v1/task/submit/nano-banana \
-H "Authorization: Bearer <api_key>" \
-H "Content-Type: application/json" \
-d '{
"prompt": "将这张图片转换成水彩画风格",
"image_urls": ["https://example.com/reference.jpg"],
"aspect_ratio": "1:1",
"output_format": "png"
}'
- 画幅:
1:1、2:3、3:2、3:4、4:3、4:5、5:4、9:16、16:9、21:9、auto,默认1:1。 - 积分:固定 24 积分/次。
- 输出格式:
png/jpeg,默认png。 - 最多 10 张参考图片(JPEG/PNG/WebP)。
授权
Wizzx API key. This is not a JWT.
请求体
application/json
Required prompt. The gateway enforces a 5000-byte UTF-8 limit.
Minimum string length:
1Maximum array length:
10Publicly reachable HTTP(S) URL.
Pattern:
^https?://可用选项:
1:1, 9:16, 16:9, 3:4, 4:3, 3:2, 2:3, 5:4, 4:5, 21:9, auto 可用选项:
png, jpeg 此页面对您有帮助吗?
